#
# spec file for package perl-Clone
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Clone
Version:        0.39
Release:        lp152.3.2
%define cpan_name Clone
Summary:        Recursively Copy Perl Datatypes
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Clone/
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GARU/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module provides a 'clone()' method which makes recursive copies of
nested hash, array, scalar and reference types, including tied variables
and objects.

'clone()' takes a scalar argument and duplicates it. To duplicate lists,
arrays or hashes, pass them in by reference, e.g.

    my $copy = clone (\@array);

    # or

    my %copy = %{ clone (\%hash) };

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Apr  8 2017 coolo@suse.com
- updated to 0.39
  see /usr/share/doc/packages/perl-Clone/Changes
  0.39 2017-04-07 13:06:00  garu
  - use explicit '.' in tests since it may not be in @INC
    anymore in newer perls (fixes RT120648) (PLICEASE, SIMCOP)
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.38
  see /usr/share/doc/packages/perl-Clone/Changes
  0.38 2015-01-18 19:27:41  garu
  - typo fixes and improvements to the README (zmughal)
  - travis/coveralls integration (zmughal)
  0.37 2014-05-15 16:45:33  garu
  - removed Carp dependency (GARU)
  - silenced some clang warnings (JACQUESG)
  - added a README (GARU)
* Mon Dec  9 2013 coolo@suse.com
- updated to 0.36
  - fixed compilation issue on AIX and C89 (GAAS)
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.35
  - SV's can be NULL (shit happens) (fixes RT86217) (Tux)
  - making tests compatible with older versions of Test::More (GARU)
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.34
  - Stop skipping SvROK handling for all magical scalars. This fixes
    RT issues 67105, 79730 and 80201 (FLORA).
  - making the Changes file compliant to the CPAN::Changes spec (GARU).
  - Fixing tests when Scalar::Util::weaken is not available. As a
    result, tests should now pass even in odd OpenBSD versions (GARU).
  - removed dubious documentation on the optional parameter until
    it is 'fixed'. Right now it just increases the refcount when it's 0,
    and clones otherwise (which isn't exactly what it says). This
    fixes RT issue 57773 (GARU).
  - updated remark on Storable's dclone() to address RT issue 50174 (GARU)
  - updated Makefile.PL to include test dependencies (GARU)
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Nov 26 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- bzipped Source
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Oct 17 2009 rschweikert@novell.com
- upgrade to version 0.31
  o a lot of changes, please see Changes file
* Wed Mar 26 2008 anicka@suse.cz
- package created (version 0.18)
